<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HW 3 Adv JS task 5</title>
</head>
<body>
   
    <script>
      "use strict"; 

      // Задание 5
      // Дан массив книг. Вам нужно добавить в него еще одну книгу, не изменяя существующий массив (в результате операции  должен быть создан новый массив).

      const books = [{
        name: 'Harry Potter',
        author: 'J.K. Rowling'
      }, {
        name: 'Lord of the rings',
        author: 'J.R.R. Tolkien'
      }, {
        name: 'The witcher',
        author: 'Andrzej Sapkowski'
      }];

      const bookToAdd = {
        name: 'Game of thrones',
        author: 'George R. R. Martin'
      }

      const booksNewList = [...books, bookToAdd];

      console.log(booksNewList);
     

    </script>
  
</body>
</html>